run: exercise_05_16
	./exercise_05_16
	
exercise_05_16: exercise_05_16.o .gitignore
	clang++ exercise_05_16.o -o exercise_05_16
	
exercise_05_16.ii: exercise_05_16.cpp
	clang++ -E exercise_05_16.cpp -o exercise_05_16.ii
	
exercise_05_16.s: exercise_05_16.ii
	clang++ -S exercise_05_16.ii -o exercise_05_16.s
	
exercise_05_16.o: exercise_05_16.s
	clang++ -c exercise_05_16.s -o exercise_05_16.o
	
.gitignore:
	echo exercise_05_16 > .gitignore
	
clean:
	rm *.o *.s *.ii exercise_05_16 .gitignore
